:root {
  --dark_purple: #231D2F;
  --middle_purple: #b3adbd;
  --light_purple: #e6e4e9;
  --grey_purple: #64606b;
}

html{
  min-height: 100%;
  margin: 0 !important;
  padding: 0;
  position: relative;
}

body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  margin: 0;
  padding: 0;
  font-family: Verdana, Geneva, Sans-Serif;
  background: linear-gradient(0deg, var(--light_purple) 94%, var(--middle_purple) 100%);
}

.content {
	max-width:960px;
	margin:0px auto;
  padding-left: 10px;
  padding-right: 10px;
}

h1, h2, h3, a {
  margin-top: 0 !important;
}

h3 {
  font-size: 14px;
}

h2 {
  font-size: 16px;
}

a {
  text-decoration: none;
}

.text_link {
  font-weight: bold;
  font-size: 16px;
}

.center {
  text-align: center;
} 

ul {
  list-style: none;
}

/* HEADER */

#header {
  height: 250px;
  background-image: url(../images/background.jpg);
  position: relative;
  padding: 0 !important;
}

#header .content{
  max-width: 960px;
  height: 250px;
  background-image: url(../images/header.png);
  background-repeat: no-repeat;
  background-position: bottom right;
}

#header h1{
  font-size: 35px;
  font-weight: bold;
  text-align: right;
  padding-top: 30px !important;
  margin-right: 380px;
  color: var(--dark_purple);
}

#header-container, #header-contact{
  position: absolute;
  bottom: 0;
  margin: 0px !important;
}

#header-container {
  margin-bottom: 40px !important;
}

#header-container h2{
  margin: 0 !important;
  margin-top: 10px !important;
  color: var(--dark_purple);
}

#header-container h3{
  margin: 0 !important;
  margin-top: 5px !important;
  color: var(--grey_purple);
}

#header-contact h3{
  margin-bottom: 10px !important;
  font-size: 15px;
} 

/* NAVIGATION */

#navigation {
  width: 100%;
  background-color: var(--middle_purple);
}

#navigation .content {
  display: table;   /* Allow the centering to work */
  margin: 0 auto;
  padding: 0;
}

#navigation ul {
  margin-top: 0px; 
  margin-bottom: 0px; 
} 

#navigation li a {
  display: block;
  padding: 12px 30px;
}

#navigation .content li {
  float: left;
}

#navigation .content a{
  text-decoration: none;
  font-weight: bold;
  font-size: 18px;
  color: white;
} 

#navigation .content a:hover {
  color: var(--dark_purple);
}

#navigation a.active {
  color: var(--dark_purple);
}

/* CONTENT */

#content-box {
  flex-grow: 1;
  display: flex;
  margin-top: 0 !important;
}

#content-box .content{
  flex-grow: 1;
  position: relative;
  border-radius: 6px;
  background-color: white;
  margin-top: 20px !important;
  margin-bottom: 20px !important;
  font-size: 14px;
  padding: 30px;
}

/* FOOTER */

#footer-note {
  background-color: var(--middle_purple);
  color:var(--dark_purple);
  font-size: 13px;
  padding: 10px 0;
  width: 100%;
  text-align: center;
}   

#footer-note span:first-child::after{
  content: " \00B7";
  white-space: pre;
}

/* PAGES STYLING */

.left_column {
  width: 66%;
  float: left;
  padding-left: 20px;
  border-right: 6px solid var(--light_purple);
}

.right_column {
  width: 30%;
  height: 100%;
  padding: 0;
  padding-top: 5px;
  float: right;

}

#content-box h1 {
  font-size: 22px;
  font-weight: bold;
	color:var(--dark_purple);
}

#content-box h2 {
  font-size: 14px;
  font-weight: bold;
  padding: 0 0 0 10px;
	color:var(--dark_purple);
}

#content-box h3 {
  font-size: 12px;
  font-weight: bold;
  padding: 15px 0 0 20px;
	color:var(--grey_purple);
}

#content-box .content li {
  padding-bottom: 10px;
}

.no_margin {
  padding-bottom: 5px !important; 
}

#work_hours .left_column h1{
  margin: 0 !important;
}

#work_hours .left_column h2{
  color: var(--grey_purple);
  font-size: 16px;
  padding-top: 30px;
}

#work_hours .left_column h3{
  color: var(--dark_purple);
  font-size: 13px;
}

#work_hours table {
  width: 90%;
  border-collapse: collapse; /* Bez mezer mezi řádky, spojení buněk */
}

#work_hours th, #work_hours td {
  padding: 3px 10px; /* Menší odsazení, aby buňky nebyly tak široké */
  text-align: center;
  font-size: 14px;
  border-bottom: 2px solid var(--light_purple); /* Jemné oddělení řádků */
}

#work_hours td:nth-child(2), 
#work_hours td:nth-child(4) {
  width: 25%; /* Širší sloupce pro časy */
}

#work_hours td:nth-child(3) {
  width: 10%; /* Užší sloupec pro pomlčky */
}

#work_hours tr:last-child td {
  border-bottom: none; /* Odstranění poslední linky */
}

#contact_content h1{
  margin: 0 !important;
}

#contact_content .left_column h1 {
  font-size: 24px;
}

#contact_content h2{
  color: var(--grey_purple);
  font-size: 18px;
  padding-top: 30px;
}

.contact_box {
  display: flex;
}

#contact_content .right_column ul {
  margin: 0px !important; 
} 

#contact_content .right_column h2{
  color: var(--grey_purple);
  font-size: 14px;
  padding: 0px !important;
  margin: 0px !important;
}

#news h1{
  margin-bottom: 40px;
  font-size: 24px;
}

#news {
  text-align: center;
}

#news ul li{
  margin: 8px ;
  text-align: center;
  padding-right: 40px;
}
